using UnityEngine;

public abstract class TileAsset : MonoBehaviour
{
	public abstract bool CanEnter(Vector2Int comingFrom, Vector2Int goingInto, Orientation orientation);

	public abstract void OnEnter(GameObject player);
	public abstract void OnLeave(GameObject player);
}